%global base_name woodstox
%global core_name %{base_name}-core
%global stax2_ver  3.1.1

Name:           %{core_name}
Version:        4.2.0
Release:        %mkrel 5
Summary:        High-performance XML processor
License:        ASL 2.0 or LGPLv2+ or BSD
URL:            http://%{base_name}.codehaus.org/
BuildArch:      noarch
Group:          Development/Java

Source0:        http://%{base_name}.codehaus.org/%{version}/%{core_name}-src-%{version}.tar.gz
Patch0:         %{name}-stax2-api.patch

BuildRequires:  maven-local
BuildRequires:  mvn(javax.xml.stream:stax-api)
BuildRequires:  mvn(net.java.dev.msv:msv-core)
BuildRequires:  mvn(net.java.dev.msv:xsdlib)
BuildRequires:  mvn(org.apache.felix:org.osgi.core)
BuildRequires:  mvn(org.codehaus.woodstox:stax2-api)
BuildRequires:  mvn(javax.mail:mail)
# Transitive devel dependencies needed because some packages don't
# install effective POMs:
BuildRequires:  mvn(net.java:jvnet-parent)
BuildRequires:  mvn(net.java.dev.msv:msv-core)

%description
Woodstox is a high-performance validating namespace-aware StAX-compliant
(JSR-173) Open Source XML-processor written in Java.
XML processor means that it handles both input (== parsing)
and output (== writing, serialization)), as well as supporting tasks
such as validation.

%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{base_name}-%{version}
%patch0

# Create POM from template
sed s/@VERSION@/%{version}/\;s/@REQ_STAX2_VERSION@/%{stax2_ver}/ \
    src/maven/%{name}-asl.pom >pom.xml

# Remove bundled libraries.
rm -rf lib
rm -rf src/maven
rm -rf src/resources
rm -rf src/samples
rm -rf src/java/org
rm -rf src/test/org
rm -rf src/test/stax2

# Bundled libraries were removed, so dependencies on them need to be
# added.
%pom_add_dep net.java.dev.msv:msv-core
%pom_add_dep org.apache.felix:org.osgi.core
%pom_add_dep net.java.dev.msv:xsdlib

# Upstream uses non-standard directory structure.
%pom_xpath_inject pom:project "
    <build>
      <sourceDirectory>src/java</sourceDirectory>
      <testSourceDirectory>src/test</testSourceDirectory>
    </build>"

%mvn_alias ":{woodstox-core}-asl" :@1-lgpl
%mvn_file : %{name}{,-asl,-lgpl}

%build
# stax2 missing -> cannot compile tests -> tests skipped
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc release-notes

%files javadoc -f .mfiles-javadoc
%doc release-notes/asl release-notes/lgpl release-notes/bsd



%changelog
* Mon Dec 16 2013 dmorgan <dmorgan> 4.2.0-5.mga4
+ Revision: 557198
- Fix buildrequires
- Fix buildrequires

* Mon Oct 21 2013 umeabot <umeabot> 4.2.0-4.mga4
+ Revision: 541226
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 4.2.0-3.mga4
+ Revision: 495356
- New version

* Thu Jan 17 2013 dmorgan <dmorgan> 4.1.2-8.mga3
+ Revision: 389051
- Remove glassfish-stax-api support

* Thu Jan 17 2013 dmorgan <dmorgan> 4.1.2-7.mga3
+ Revision: 389027
- Remove glassfish-stax-api support

* Thu Jan 17 2013 dmorgan <dmorgan> 4.1.2-6.mga3
+ Revision: 389025
- Remove glassfish-stax-api support

* Mon Jan 14 2013 umeabot <umeabot> 4.1.2-5.mga3
+ Revision: 385823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 23 2012 dmorgan <dmorgan> 4.1.2-4.mga3
+ Revision: 262716
- Build with maven

  + gil <gil>
    - build fix
      rebuilt with ant support
      added OSGi support

* Sun Dec 25 2011 dmorgan <dmorgan> 4.1.2-3.mga2
+ Revision: 187637
- imported package woodstox-core


* Tue Sep 13 2011 Jaromir Capik <jcapik@redhat.com> - 4.1.2-1
- Initial version
